com.trendmicro.ds.platform.rest.object.monitoring

## Class JVMUsageElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.JVMUsageElement

-     public class JVMUsageElement
      extends java.lang.Object

  Information about how a Deep Security Manager node has used the Java Virtual Machine (JVM).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JVMUsageElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCpuUsage()` The estimated number of nanoseconds of CPU use by the JVM since the last time JVM usage statistics were gathered.
    `int` | `getDaemonThreads()` The number of live daemon threads
    `long` | `getGcCount()` The number of times garbage collection ran since the last time JVM usage statistics were gathered.
    `long` | `getGcTime()` The estimated number of milliseconds spent in garbage collection since the last time JVM usage statistics were gathered.
    `long` | `getHeapSize()` JVM memory heap size allocated, in bytes.
    `long` | `getHeapUsed()` JVM memory heap used, in bytes
    `int` | `getLiveThreads()` The total number of live threads
    `int` | `getManagerNodeID()` The ID of the manager node these statistics were gathered for.
    `int` | `getNativeCPUPercent()` An integer from 0 to 100 giving estimate of the percentage of the average CPU percent usage on the Deep Security Manager node, including CPU used by processes other than the JVM.
    `long` | `getNativeMemoryUsed()` An estimate of the total native memory used on the Deep Security Manager node, including memory used by processes other than the JVM, in bytes.
    `int` | `getNativeMemoryUsedPercent()` An integer from 0 to 100 giving estimate of the percentage of total system memory percent usage on the Deep Security Manager node.
    `long` | `getNonHeapSize()` JVM non-heap memory size allocated, in bytes (non-heap memory includes permgen and code cache).
    `long` | `getNonHeapUsed()` JVM non-heap memory used, in bytes (Non-heap memory includes permgen and code cache).
    `int` | `getPeakThreads()` The peak number of live threads
    `long` | `getThreadsStarted()` The cumulative number of threads started.
    `java.util.Date` | `getTime()` The time at which these statistics were recorded.
    `long` | `getUptime()` The number of milliseconds the JVM has been running.
    `void` | `setCpuUsage(long cpuUsage)`
    `void` | `setDaemonThreads(int daemonThreads)`
    `void` | `setGcCount(long gcCount)`
    `void` | `setGcTime(long gcTime)`
    `void` | `setHeapSize(long heapSize)`
    `void` | `setHeapUsed(long heapUsed)`
    `void` | `setLiveThreads(int liveThreads)`
    `void` | `setManagerNodeID(int managerNodeID)`
    `void` | `setNativeCPUPercent(int nativeCPUPercent)`
    `void` | `setNativeMemoryUsed(long nativeMemoryUsed)`
    `void` | `setNativeMemoryUsedPercent(int nativeMemoryUsedPercent)`
    `void` | `setNonHeapSize(long nonHeapSize)`
    `void` | `setNonHeapUsed(long nonHeapUsed)`
    `void` | `setPeakThreads(int peakThreads)`
    `void` | `setThreadsStarted(long threadsStarted)`
    `void` | `setTime(java.util.Date sampleDate)`
    `void` | `setUptime(long uptime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JVMUsageElement

          public JVMUsageElement()

  - ### Method Detail

    - #### getTime

          public java.util.Date getTime()

      The time at which these statistics were recorded.

    - #### setTime

          public void setTime(java.util.Date sampleDate)

    - #### getManagerNodeID

          public int getManagerNodeID()

      The ID of the manager node these statistics were gathered for.

    - #### setManagerNodeID

          public void setManagerNodeID(int managerNodeID)

    - #### getUptime

          public long getUptime()

      The number of milliseconds the JVM has been running.

    - #### setUptime

          public void setUptime(long uptime)

    - #### getCpuUsage

          public long getCpuUsage()

      The estimated number of nanoseconds of CPU use by the JVM since the last time JVM usage statistics were gathered.

    - #### setCpuUsage

          public void setCpuUsage(long cpuUsage)

    - #### getGcCount

          public long getGcCount()

      The number of times garbage collection ran since the last time JVM usage statistics were gathered.

    - #### setGcCount

          public void setGcCount(long gcCount)

    - #### getGcTime

          public long getGcTime()

      The estimated number of milliseconds spent in garbage collection since the last time JVM usage statistics were gathered.

    - #### setGcTime

          public void setGcTime(long gcTime)

    - #### getHeapSize

          public long getHeapSize()

      JVM memory heap size allocated, in bytes.

    - #### setHeapSize

          public void setHeapSize(long heapSize)

    - #### getHeapUsed

          public long getHeapUsed()

      JVM memory heap used, in bytes

    - #### setHeapUsed

          public void setHeapUsed(long heapUsed)

    - #### getNonHeapSize

          public long getNonHeapSize()

      JVM non-heap memory size allocated, in bytes (non-heap memory includes permgen and code cache).

    - #### setNonHeapSize

          public void setNonHeapSize(long nonHeapSize)

    - #### getNonHeapUsed

          public long getNonHeapUsed()

      JVM non-heap memory used, in bytes (Non-heap memory includes permgen and code cache).

    - #### setNonHeapUsed

          public void setNonHeapUsed(long nonHeapUsed)

    - #### getLiveThreads

          public int getLiveThreads()

      The total number of live threads

    - #### setLiveThreads

          public void setLiveThreads(int liveThreads)

    - #### getDaemonThreads

          public int getDaemonThreads()

      The number of live daemon threads

    - #### setDaemonThreads

          public void setDaemonThreads(int daemonThreads)

    - #### getPeakThreads

          public int getPeakThreads()

      The peak number of live threads

    - #### setPeakThreads

          public void setPeakThreads(int peakThreads)

    - #### getThreadsStarted

          public long getThreadsStarted()

      The cumulative number of threads started.

    - #### setThreadsStarted

          public void setThreadsStarted(long threadsStarted)

    - #### getNativeCPUPercent

          public int getNativeCPUPercent()

      An integer from 0 to 100 giving estimate of the percentage of the average CPU percent usage on the Deep Security Manager node, including CPU used by processes other than the JVM.

    - #### setNativeCPUPercent

          public void setNativeCPUPercent(int nativeCPUPercent)

    - #### getNativeMemoryUsed

          public long getNativeMemoryUsed()

      An estimate of the total native memory used on the Deep Security Manager node, including memory used by processes other than the JVM, in bytes.

    - #### setNativeMemoryUsed

          public void setNativeMemoryUsed(long nativeMemoryUsed)

    - #### getNativeMemoryUsedPercent

          public int getNativeMemoryUsedPercent()

      An integer from 0 to 100 giving estimate of the percentage of total system memory percent usage on the Deep Security Manager node.

    - #### setNativeMemoryUsedPercent

          public void setNativeMemoryUsedPercent(int nativeMemoryUsedPercent)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.